//Efecto IDA-VUELTA versión 2

int pinTiraLeds;        //variable pinTiraLeds
int tiempo = 100;       //variable tiempo

void setup() {              //comienza la configuración, se ejecuta una vez
  pinMode(13, OUTPUT);      //configura el pin 13 como salida, conexión tira de leds1
  pinMode(12, OUTPUT);      //configura el pin 12 como salida, conexión tira de leds2
  pinMode(11, OUTPUT);      //configura el pin 11 como salida, conexión tira de leds3
  pinMode(10, OUTPUT);      //configura el pin 10 como salida, conexión tira de leds4
}                           //termina la configuración

void loop() {           //enciende y apaga secuencialmente las tiras de leds utilizando la secuencia de control for
  ida();                  //llama a la función ida
  vuelta();               //llama a la función vuelta
}

void ida() {
  for (pinTiraLeds = 10; pinTiraLeds <= 13; pinTiraLeds++) {  //recorrido de ida (de leds4 a leds1)
    digitalWrite(pinTiraLeds, HIGH);  //pone el pin correspondiente a nivel ALTO (5 voltios), enciende la tira led correspondiente
    delay(tiempo);                    //hace una pausa de 100 ms
    digitalWrite(pinTiraLeds, LOW);   //pone el pin correspondiente a nivel BAJO (0 voltios), apaga la tira led correspondiente
    delay(tiempo);                    //hace una pausa de 100 ms
  }
}

void vuelta() {
  for (pinTiraLeds = 13; pinTiraLeds >= 10; pinTiraLeds--) {   //recorrido de vuelta (de leds1 a leds4)
    digitalWrite(pinTiraLeds, HIGH);  //pone el pin correspondiente a nivel ALTO (5 voltios), enciende la tira led correspondiente
    delay(tiempo);                    //hace una pausa de 100 ms
    digitalWrite(pinTiraLeds, LOW);   //pone el pin correspondiente a nivel BAJO (0 voltios), apaga la tira led correspondiente
    delay(tiempo);                    //hace una pausa de 100 ms
  }
}

